Package org.apache.ignite

## Annotation Type SystemProperty

    @Documented
    @Retention(RUNTIME)
    @Target(FIELD)
    public @interface SystemProperty

Ignite system property info.

### Required Element Summary

Required Elements
`String` `value`

### Optional Element Summary

Optional Elements
`String` `defaults`
`Class<?>` `type`

### Element Detail

#### value

    String value

Returns:
  Description.

#### type

    Class<?> type

Returns:
  Type.

Default:
  java.lang.Boolean.class

#### defaults

    String defaults

Returns:
  Default value.

Default:
  ""